## org.mortbay.util
Interface OutputObserver

All Known Implementing Classes:
  HttpConnection, HttpOutputStream

public interface OutputObserver

Observer output events.

Version:
  $Id: OutputObserver.java,v 1.2 2002/11/30 23:59:34 bretts Exp $
Author:
  Greg Wilkins (gregw)
See Also:
  `HttpOutputStream`

Field Summary
`static int` `__CLOSED`
`static int` `__CLOSING`
`static int` `__COMMITING`
`static int` `__FIRST_WRITE`
`static int` `__RESET_BUFFER`

Method Summary
`void` `outputNotify(java.io.OutputStream out, int action, java.lang.Object data)` Notify an output action.

Field Detail

### __FIRST_WRITE

    public static final int __FIRST_WRITE

See Also:
  Constant Field Values

### __RESET_BUFFER

    public static final int __RESET_BUFFER

See Also:
  Constant Field Values

### __COMMITING

    public static final int __COMMITING

See Also:
  Constant Field Values

### __CLOSING

    public static final int __CLOSING

See Also:
  Constant Field Values

### __CLOSED

    public static final int __CLOSED

See Also:
  Constant Field Values

Method Detail

### outputNotify

    public void outputNotify(java.io.OutputStream out,
                             int action,
                             java.lang.Object data)
                      throws java.io.IOException

  Notify an output action.

  Parameters:
    `out` - The OutputStream that caused the event
    `action` - The action taken
    `data` - Data associated with the event.
    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.